Get Agent
curl --request GET \
--url https://api-in.getello.ai/api/agents/{agent_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-in.getello.ai/api/agents/{agent_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-in.getello.ai/api/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Agents retrieved successfully",
"data": [
{
"_id": "69cf92ec643b415327cab0ae",
"workspaceId": "6970c2f3948cfbce1932d99d",
"userId": "6970c2f3948cfbce1932d99c",
"name": "My Hybrid Agent2",
"type": "hybrid",
"category": [
"general"
],
"description": "AI assistant for voice calls",
"image": "1",
"features": [],
"popularity": 0,
"voiceConfig": {
"provider": "elevenlabs",
"model": "eleven_flash_v2_5",
"voiceId": "pwMBn0SsmN1220Aorv15",
"language": "en-IN",
"patienceLevel": 1,
"speed": 1,
"pitch": 1,
"latency": 0.5,
"stability": 0.5,
"styleExaggeration": 0,
"similarity": 0.8,
"numberOfWords": 0,
"voiceSeconds": 0.2,
"backOfSeconds": 0.1
},
"aiModel": {
"provider": "openai",
"model": "gpt-4o",
"temperature": 0.7,
"maxTokens": 200
},
"llmConfig": {
"provider": "openai_responses",
"model": "gpt-4o",
"temperature": 0.7,
"maxTokens": 200
},
"sttConfig": {
"utterance_end_ms": 1500,
"on_punctuation_second": 0,
"vadEnabled": false,
"ncEnabled": false,
"keyterms": [],
"waitseconds": 1.2
},
"voicemailConfig": {
"isEnabled": false
},
"backChannelConfig": {
"isEnabled": false,
"backchannelWords": []
},
"timeoutConfig": {
"silenceTimeout": 30,
"maximumDuration": 600
},
"callConfig": {
"timeZone": "UTC",
"maxDuration": 600,
"voicemailDetection": {
"enabled": true,
"type": "ml-based"
},
"recordingEnabled": true,
"transcriptionEnabled": true,
"speakerBoost": false,
"idleReminders": [
false,
0.75
],
"limitCallDuration": [
false,
20
],
"backGroundNoiseThreshold": 0.75,
"backGroundNoiseTimeout": 10,
"backGroundNoiseTimeoutThreshold": 0.75,
"backGroundNoiseTimeoutInterval": 10
},
"fillerWords": false,
"DND": true,
"status": true,
"customVocabulary": [],
"timezone": "Asia/Kolkata",
"countryName": "India",
"greeting": "Hi! How can I assist you today?",
"prompt": "You are a helpful AI assistant focused on providing accurate and friendly responses.",
"knowledgeBases": [],
"actions": [],
"deployment": {
"status": "draft",
"version": 1,
"deployedAt": "2026-04-03T10:14:04.349000",
"lastUpdated": "2026-04-03T10:14:04.349000"
},
"stats": {
"totalCalls": 0,
"successRate": 1,
"avgCallDuration": 0
},
"recommendedActions": [],
"widget": true,
"createdAt": "2026-04-03T10:14:04.349000",
"updatedAt": "2026-04-03T10:14:04.349000"
}
]
}{
"status": 400,
"message": "agent_id is required"
}{
"status": 401,
"message": "Unauthorized access"
}{
"status": 403,
"message": "Access denied. Scope does not match"
}{
"status": 404,
"message": "agent not found"
}{
"status": 500,
"message": "Something went wrong. Please try again later."
}Agents
Get Agent
Retrieves details of a specific agent by its ID
GET
/
api
/
agents
/
{agent_id}
Get Agent
Authorizations
apiKeybearerAuth
Path Parameters
Response
Agents retrieved successfully
Example:
200
Example:
"Agents retrieved successfully"
Example:
[
{
"_id": "69cf92ec643b415327cab0ae",
"workspaceId": "6970c2f3948cfbce1932d99d",
"userId": "6970c2f3948cfbce1932d99c",
"name": "My Hybrid Agent2",
"type": "hybrid",
"category": ["general"],
"description": "AI assistant for voice calls",
"image": "1",
"features": [],
"popularity": 0,
"voiceConfig": {
"provider": "elevenlabs",
"model": "eleven_flash_v2_5",
"voiceId": "pwMBn0SsmN1220Aorv15",
"language": "en-IN",
"patienceLevel": 1,
"speed": 1,
"pitch": 1,
"latency": 0.5,
"stability": 0.5,
"styleExaggeration": 0,
"similarity": 0.8,
"numberOfWords": 0,
"voiceSeconds": 0.2,
"backOfSeconds": 0.1
},
"aiModel": {
"provider": "openai",
"model": "gpt-4o",
"temperature": 0.7,
"maxTokens": 200
},
"llmConfig": {
"provider": "openai_responses",
"model": "gpt-4o",
"temperature": 0.7,
"maxTokens": 200
},
"sttConfig": {
"utterance_end_ms": 1500,
"on_punctuation_second": 0,
"vadEnabled": false,
"ncEnabled": false,
"keyterms": [],
"waitseconds": 1.2
},
"voicemailConfig": { "isEnabled": false },
"backChannelConfig": {
"isEnabled": false,
"backchannelWords": []
},
"timeoutConfig": {
"silenceTimeout": 30,
"maximumDuration": 600
},
"callConfig": {
"timeZone": "UTC",
"maxDuration": 600,
"voicemailDetection": { "enabled": true, "type": "ml-based" },
"recordingEnabled": true,
"transcriptionEnabled": true,
"speakerBoost": false,
"idleReminders": [false, 0.75],
"limitCallDuration": [false, 20],
"backGroundNoiseThreshold": 0.75,
"backGroundNoiseTimeout": 10,
"backGroundNoiseTimeoutThreshold": 0.75,
"backGroundNoiseTimeoutInterval": 10
},
"fillerWords": false,
"DND": true,
"status": true,
"customVocabulary": [],
"timezone": "Asia/Kolkata",
"countryName": "India",
"greeting": "Hi! How can I assist you today?",
"prompt": "You are a helpful AI assistant focused on providing accurate and friendly responses.",
"knowledgeBases": [],
"actions": [],
"deployment": {
"status": "draft",
"version": 1,
"deployedAt": "2026-04-03T10:14:04.349000",
"lastUpdated": "2026-04-03T10:14:04.349000"
},
"stats": {
"totalCalls": 0,
"successRate": 1,
"avgCallDuration": 0
},
"recommendedActions": [],
"widget": true,
"createdAt": "2026-04-03T10:14:04.349000",
"updatedAt": "2026-04-03T10:14:04.349000"
}
]
⌘I